#include <qmenubar.h>
#include <qlabel.h>
#include "plot.h"

class Gui : public QWidget
{
    Q_OBJECT
public:
    Gui ( QWidget *parent=0, const char *name=0 );
    ~Gui();
    void RecordOn();
    void ResetPoints();
    
public slots:
    void menu_quit();
    void menu_export();
    
    void menu_nodelay();
    void menu_delay10();
    void menu_delay20();
    void menu_delay40();
    void menu_delay80();
    void menu_delay160();
    void menu_delay320();
    void menu_freeze();

    void menu_40000();
    void menu_20000();
    void menu_10000();
    
    void menu_kaiser();
    void menu_blackman();
    void menu_rectangle();
    
    void menu_peak();
    void menu_reset();
    void menu_normal();
    
    void menu_nop();    

 protected:
    void    resizeEvent( QResizeEvent * );

signals:
    void    explain( const char * );

private:
    QPopupMenu *file;
    QPopupMenu *rate;
    QPopupMenu *delay;
    QPopupMenu *extraf;
    QPopupMenu *windowf;
    QMenuBar *menu;
    QLabel   *label;
    LogPlot  *plot;

    bool isFreezed;
};

